/*
 * Project   : SIMUNO
 * Package   : simuno
 * File      : RandomGenerator.java
 * Created at: 21/08/2007 - 20:54:23
 */
package simuno;

import java.util.GregorianCalendar;
import java.util.Random;

/**
 * This class generates random numbers.
 * simuno.RandomGenerator
 * @author Rodrigo
 * @version 1.0.0
 */
public final class RandomGenerator
{
    /**
     * This method generates a new long randomically.
     * @return The long randomically generated.
     */
    public static int newInt()
    {
        Random            rand     = new Random();
        GregorianCalendar calendar = ( GregorianCalendar ) GregorianCalendar.getInstance();
        
        rand.setSeed( calendar.getTimeInMillis() );
        
        return Math.abs( rand.nextInt() );
    }
}
