package simuno.view;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;
import org.eclipse.swt.widgets.Text;
/*
 * Input example:
 * -t4 35 
 * -apc 15 
 * -antigen 100 
 * -aminoacid 1|4|5|8|7|8|9|6|1|4|4|5|5|5|6|8|7|4|8|9|9|9|6|5|4|4|5|4|7|8|5|2|5|4|8|7|2|5|4|9|8|7|4|1|2|5|6|3|3|3
 */
public class InputGroup {

	Group g = null;
	private Text txtT4;
	private Text txtAPC;
	private Text txtAntigens;
	private Text txtAminoacid;
	
	public InputGroup(Composite arg0) {
		g = new Group(arg0, SWT.SHADOW_IN);
		initialize();
	}
	
	private void initialize() {
		g.setText("Input information:");

//		Group layout
		GridData gd = new GridData(GridData.FILL_HORIZONTAL);
		gd.horizontalSpan = 2;
		g.setLayoutData(gd);

//		Group elements layout
		GridLayout grBasicLayout = new GridLayout();
		grBasicLayout.numColumns = 4;
		grBasicLayout.makeColumnsEqualWidth = true;
		g.setLayout(grBasicLayout);
		
//		T4 Cells
		Label lblT4 = new Label(g, SWT.NONE);
		lblT4.setText("Number of T4 cells:");
		lblT4.setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_END));

		txtT4 = new Text(g, SWT.BORDER);
		txtT4.setTextLimit(4);
		GridData txGdT4 = new GridData(GridData.HORIZONTAL_ALIGN_BEGINNING);
		txGdT4.widthHint = 25;
		txtT4.setLayoutData(txGdT4);

//		APC Cells
		Label lblAPC = new Label(g, SWT.NONE);
		lblAPC.setText("Number of APC cells:");
		lblAPC.setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_END));

		txtAPC = new Text(g, SWT.BORDER);
		txtAPC.setTextLimit(4);
		GridData txGdAPC = new GridData(GridData.HORIZONTAL_ALIGN_BEGINNING);
		txGdAPC.widthHint = 25;
//		txGdAPC.horizontalSpan = 3;
		txtAPC.setLayoutData(txGdAPC);

//		Antigens Cells
		Label lblAntigens = new Label(g, SWT.NONE);
		lblAntigens.setText("Number of Antigens cells:");
		lblAntigens.setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_END));

		txtAntigens = new Text(g, SWT.BORDER);
		txtAntigens.setTextLimit(4);
		GridData txGdAntigens = new GridData(GridData.HORIZONTAL_ALIGN_BEGINNING);
		txGdAntigens.widthHint = 25;
		txGdAntigens.horizontalSpan = 3;
		txtAntigens.setLayoutData(txGdAntigens);

//		Aminoacid Cells
		Label lblAminoacid = new Label(g, SWT.NONE);
		lblAminoacid.setText("Amino acids:");
		lblAminoacid.setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_END));

		txtAminoacid = new Text(g, SWT.BORDER);
		txtAminoacid.setTextLimit(100);
		GridData txGdAminoacid = new GridData(GridData.FILL_HORIZONTAL);
		txGdAminoacid.horizontalSpan = 3;
		txtAminoacid.setLayoutData(txGdAminoacid);		
	}

	public String getAminoacid() {
		return txtAminoacid.getText();
	}

	public Integer getAntigens() {
		return Integer.parseInt(txtAntigens.getText());
	}

	public Integer getAPC() {
		return Integer.parseInt(txtAPC.getText());
	}

	public Integer getT4() {
		return Integer.parseInt(txtT4.getText());
	}

}
