package simuno.view;

import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridData;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Group;
import org.eclipse.swt.widgets.Label;

public class OutputGroup {

	Group g = null;

	/*  Fields:
	 *  0 apcNumB7Answers
	 *  1 apcNumEpitopPresented
	 *  2 apcNumAntigenEaten                
     *  3 t4NumCD28Sent                     
     *  4 t4NumAntigenKilled                
     *  5 t4NumAntigenRecognized            
     *  6 t4NumEpitopRecognized             
     *  7 t4NumThatDidNotRecognizedAnything 
	 */
	int numFields = 8;
	Label[] name;
	Label[] value;
	
	public OutputGroup(Composite arg0) {
		g = new Group(arg0, SWT.SHADOW_IN);
		name = new Label[numFields];
		value = new Label[numFields];
		initialize();
	}
	
	public void setOutputValues (Integer[] newValue) {
		for (int i = 0; i < newValue.length; i++) {
			value[i].setText(newValue[i].toString());
		}
	}


	private void initialize() {
		g.setText("Output information:");

//		Group layout
		GridData gd = new GridData(GridData.FILL_HORIZONTAL);
		gd.horizontalSpan = 2;
		g.setLayoutData(gd);

//		Group elements layout
		GridLayout grBasicLayout = new GridLayout();
		grBasicLayout.numColumns = 4;
		grBasicLayout.makeColumnsEqualWidth = true;
		g.setLayout(grBasicLayout);
		
		for (int i = 0; i < name.length; i++) {
			name[i] = new Label(g, SWT.NONE);
			name[i].setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_END));

			value[i] = new Label(g, SWT.NONE);
			value[i].setText("0");
			value[i].setLayoutData(new GridData(GridData.HORIZONTAL_ALIGN_BEGINNING));
		}
		
		int k = 0;
		name[k++].setText("B7 answers:");
		name[k++].setText("Epitops presented:");
		name[k++].setText("Antigens eaten:");
		name[k++].setText("CD28 sent:");
		name[k++].setText("Antigens killed:");
		name[k++].setText("Antigens recognized:");
		name[k++].setText("Epitops recognized:");
		name[k++].setText("Didn't recognize anything:");

	}

}
